Get dashboard overview
curl --request GET \
--url https://api.atlasflux.my/dashboard/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.atlasflux.my/dashboard/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlasflux.my/dashboard/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"wallet": {
"availableMicroMyr": 123,
"reservedMicroMyr": 123,
"lifetimeTopupMicroMyr": 123,
"lifetimeSpendMicroMyr": 123
},
"today_usage": {
"requests": 123,
"inputTokens": 123,
"outputTokens": 123,
"reasoningTokens": 123,
"searchCount": 123,
"contentPages": 123,
"costMicroMyr": 123
},
"total_usage": {
"requests": 123,
"inputTokens": 123,
"outputTokens": 123,
"reasoningTokens": 123,
"searchCount": 123,
"contentPages": 123,
"costMicroMyr": 123
},
"daily_series": [
{
"bucket": "2023-11-07T05:31:56Z",
"requests": 123,
"costMicroMyr": 123,
"inputTokens": 123,
"outputTokens": 123,
"reasoningTokens": 123
}
],
"api_key_count": 123,
"active_api_key_count": 123
}{
"type": "error",
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"guidance": "<string>",
"action_url": "<string>",
"retryable": true,
"retry_after_seconds": 1
}
}Dashboard — Overview
Get dashboard overview
Returns wallet balance, today’s usage, 30-day totals, daily series, and API key counts.
GET
/
dashboard
/
overview
Get dashboard overview
Authorizations
Clerk session token. Used by the Developer Dashboard.
Was this page helpful?
⌘I
